Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.deegree.crs.configuration
Enum AbstractCRSProvider.SupportedTransformations

    java.lang.Object
      java.lang.Enum<AbstractCRSProvider.SupportedTransformations>
          org.deegree.crs.configuration.AbstractCRSProvider.SupportedTransformations

All Implemented Interfaces:
  Serializable, Comparable<AbstractCRSProvider.SupportedTransformations>

Enclosing class:
  AbstractCRSProvider<T>

    public static enum AbstractCRSProvider.SupportedTransformations

extends Enum<AbstractCRSProvider.SupportedTransformations>

The `SupportedTransformations` enumeration defines currently supported transformations

Version:
  $Revision: 23328 $, $Date: 2010-03-30 17:40:30 +0200 (Di, 30. Mär 2010) $
Author:
  Rutger Bezema, last edited by: $Author: rbezema $

Enum Constant Summary
`GENERAL_POLYNOMIAL` The `PolynomialTransformation` defining the general 2, 3, ... degree polynomial transformation
`GEOGRAPHIC_GEOCENTRIC` The `GeocentricTransform` going from geographic to geocentric.
`HELMERT_3` The `Helmert`, transformation with 3 values
`HELMERT_7` The `Helmert`, transformation with 7 values
`LONGITUDE_ROTATION` The primemeridian rotation going from any to greenwich
`NOT_SUPPORTED` A not supported projection
`NTV2` The ntv2, currently not supported

Method Summary
`static AbstractCRSProvider.SupportedTransformations` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AbstractCRSProvider.SupportedTransformations[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HELMERT_7

    public static final AbstractCRSProvider.SupportedTransformations HELMERT_7

  The `Helmert`, transformation with 7 values

### HELMERT_3

    public static final AbstractCRSProvider.SupportedTransformations HELMERT_3

  The `Helmert`, transformation with 3 values

### GEOGRAPHIC_GEOCENTRIC

    public static final AbstractCRSProvider.SupportedTransformations GEOGRAPHIC_GEOCENTRIC

  The `GeocentricTransform` going from geographic to geocentric.

### LONGITUDE_ROTATION

    public static final AbstractCRSProvider.SupportedTransformations LONGITUDE_ROTATION

  The primemeridian rotation going from any to greenwich

### GENERAL_POLYNOMIAL

    public static final AbstractCRSProvider.SupportedTransformations GENERAL_POLYNOMIAL

  The `PolynomialTransformation` defining the general 2, 3, ... degree polynomial transformation

### NTV2

    public static final AbstractCRSProvider.SupportedTransformations NTV2

  The ntv2, currently not supported

### NOT_SUPPORTED

    public static final AbstractCRSProvider.SupportedTransformations NOT_SUPPORTED

  A not supported projection

Method Detail

### values

    public static final AbstractCRSProvider.SupportedTransformations[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(AbstractCRSProvider.SupportedTransformations c : AbstractCRSProvider.SupportedTransformations.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static AbstractCRSProvider.SupportedTransformations valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org